/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: y_fcth.h,v 1.2 1997/09/25 16:48:33 ae59 Exp $ */
/*
$Log: y_fcth.h,v $
 * Revision 1.2  1997/09/25  16:48:33  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:54  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : y_fcth.h                              */
/*                                                              */
/*      Description     : function prototypes                   */
/*                                                              */
/*      Date            : 1993-01-19                            */
/*      1993-01-19 : y_alck, y_inid, y_new added & PROTOYPE =b= */
/*      1992-02-26 : argument a_VOID in y_suba                  */
/*      1991-05-29 : descrtype * replaced by y_dscp             */
/*      1990-12-12 : byte replaced by a_byte                    */
/*      1990-10-09 : new function y_ynxn,y_yxcn                 */
/*      1990-08-09 : new function y_stat                        */
/*      1990-08-08 : new function y_yxch                        */
/*                   prototypes for variable length arg. lists  */
/****************************************************************/

_PROTOTYPE(void     y_asgn, (y_dscp d,y_dscp s));
_PROTOTYPE(void     y_free, (y_dscp d));
_PROTOTYPE(void     y_init, (y_dscp d,a_byte dim,size_t elsize));
_PROTOTYPE(void     y_inid, (y_dscp d,a_byte dim,size_t elsize));
_PROTOTYPE(y_dscp   y_alck, (y_dscp d));

_PROTOTYPE(a_btyp   y_ixch, (a_intg index,y_bnds range));
_PROTOTYPE(void     y_temp, (y_dscp d));
_PROTOTYPE(void     y_utmp, (y_dscp d));
_PROTOTYPE(void     y_vlcp, (y_dscp d));
_PROTOTYPE(a_btyp   y_yxch, (a_intg index,y_bnds range));

#ifdef LINT_ARGS
#if C_P_7
a_VOID   y_inxc(y_dscp d,...);
a_VOID   y_inxn(y_dscp d,...);
a_VOID   y_suba(a_VOID m,a_VOID s,a_char *mode,...);
a_VOID   y_stat(y_dscp d,a_VOID s,size_t z,a_byte dim,...);
a_VOID   y_yxcn(y_dscp d,...);
a_VOID   y_ynxn(y_dscp d,...);
void     y_new (y_dscp d,...);
#else
a_VOID   y_inxc();
a_VOID   y_inxn();
a_VOID   y_suba();
a_VOID   y_stat();
a_VOID   y_yxcn();
a_VOID   y_ynxn();
void     y_new ();
#endif
#else
a_VOID   y_inxc(), y_inxn(), y_stat(), y_suba(), y_ynxn(), y_yxcn();
void     y_new();
#endif
